SecurityException (Java SE 9 & JDK 9 )
Keywords: java.lang.SecurityException class

Module java.base
Package java.lang

## Class SecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `AccessControlException`, `RMISecurityException`

      public class SecurityException
      extends RuntimeException

  Thrown by the security manager to indicate a security violation.
  Since:
    1.0
  See Also:
    `SecurityManager`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityException​()` | Constructs a `SecurityException` with no detail message.
    `SecurityException​(String s)` | Constructs a `SecurityException` with the specified detail message.
    `SecurityException​(String message, Throwable cause)` | Creates a `SecurityException` with the specified detail message and cause.
    `SecurityException​(Throwable cause)` | Creates a `SecurityException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### SecurityException

          public SecurityException​()

      Constructs a `SecurityException` with no detail message.

    - #### SecurityException

          public SecurityException​(String s)

      Constructs a `SecurityException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### SecurityException

          public SecurityException​(String message,
                                   Throwable cause)

      Creates a `SecurityException` with the specified detail message and cause.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### SecurityException

          public SecurityException​(Throwable cause)

      Creates a `SecurityException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5